[**@rxap/data-source v19.0.2**](../README.md)

***

[@rxap/data-source](../globals.md) / StaticDataSourceMetadata

# Interface: StaticDataSourceMetadata\<Data\>

Defined in: [packages/angular/data-source/src/lib/static.data-source.ts:37](https://gitlab.com/rxap/packages/-/blob/d77504e6fd71447b1032f897cabb2aefac17c260/packages/angular/data-source/src/lib/static.data-source.ts#L37)

## Extends

- [`BaseDataSourceMetadata`](BaseDataSourceMetadata.md)

## Type Parameters

• **Data** = `any`

## Indexable

\[`key`: `string`\]: `any`

## Properties

### data?

> `optional` **data**: [`StaticDataSourceData`](../type-aliases/StaticDataSourceData.md)\<`Data`\>

Defined in: [packages/angular/data-source/src/lib/static.data-source.ts:39](https://gitlab.com/rxap/packages/-/blob/d77504e6fd71447b1032f897cabb2aefac17c260/packages/angular/data-source/src/lib/static.data-source.ts#L39)

***

### id

> **id**: `string`

Defined in: [packages/angular/definition/src/lib/definition.metadata.ts:9](https://gitlab.com/rxap/packages/-/blob/d77504e6fd71447b1032f897cabb2aefac17c260/packages/angular/definition/src/lib/definition.metadata.ts#L9)

#### Inherited from

[`BaseDataSourceMetadata`](BaseDataSourceMetadata.md).[`id`](BaseDataSourceMetadata.md#id)

***

### restore?

> `optional` **restore**: `boolean`

Defined in: [packages/angular/data-source/src/lib/base.data-source.ts:58](https://gitlab.com/rxap/packages/-/blob/d77504e6fd71447b1032f897cabb2aefac17c260/packages/angular/data-source/src/lib/base.data-source.ts#L58)

Indicates weather the data source should restore the last value from local storage

#### Inherited from

[`BaseDataSourceMetadata`](BaseDataSourceMetadata.md).[`restore`](BaseDataSourceMetadata.md#restore)
